--*********************************************************************************
--* This file is part of the RIBit Renderman(tm) exporter for max
--* By Ofer Zelichover
--* 2004/3/1 (c)
--* based in part on kcman by Rudy Cortes
--*********************************************************************************

plugin modifier mo_RIBit_VertexAttribute
	name:"RIBit Vertex Attribute"
	category:"RIBit"
	classID:#(0x68376d3f, 0x854540fa)
	version:1
(
	parameters RIBit_Attributes rollout:ro_RIBit_Attributes
	(
		attributeName type:#string ui:edAttrName default:"Attr" animatable:false
		attributeType type:#integer ui:rbAttrType default:1 animatable:false
		channel type:#integer ui:rbChannel default:1 animatable:false
		mappingChannel type:#integer ui:spMappingChannel default:1 animatable:false
	)


	rollout ro_RIBit_Attributes "RIBit Vertex Attributes"
	(
		edittext edAttrName "Attribute Name:" align:#left fieldWidth:75 offset:[-8,0]
		group "Attribute Type: " (
			radioButtons rbAttrType "" labels:#("Float", "Color") align:#left columns:1
		)
		group "Vertex Channel: " (
			radioButtons rbChannel "" labels:#("Vertex Color", "Vertex Alpha", "Vertex Illumination", "Mapping Channel:") align:#left
			spinner spMappingChannel "" fieldWidth:25 type:#integer range:[1,99,1] offset:[7,-20] align:#right enabled:false
		)

		on rbChannel changed val do (
			spMappingChannel.enabled = val == 4
		)

		on ro_RIBit_Attributes open do (
			spMappingChannel.enabled = rbChannel.state == 4
		)
	)

) -- end mo_RIBit_VertexAttribute






